/*Demo A*/
--minta adatok generlsa
USE [AdventureWorks2014];
GO
IF SCHEMA_ID('Demo') IS NULL
	EXEC('CREATE SCHEMA [Demo]');
GO
SELECT 
	[BusinessEntityID] AS [PersonID],
	[FirstName],
	[LastName]
INTO [Demo].[Person]
FROM 
	[Person].[Person];
GO

INSERT INTO [Demo].[Person] ([PersonID], [FirstName], [LastName])
VALUES
(100000, 'Ede', 'Cukor'),
(100001, 'Virg', 'Csillag'),
(100002, 'Jnos', 'Acl'),
(100003, 'Vezr', 'lmos'),
(100004, 'Ida', 'Antal'),
(100005, 'Istvn', 'cs'),
(100006, 'Tmea', 'Balogh'),
(100007, 'Zoltn', 'Szab')
--windows App dem


/*Demo B*/

SELECT [PersonID], [FirstName], [LastName] FROM [Demo].[Person] WHERE [PersonID] >= 100000 ORDER BY [LastName] ASC
SELECT [PersonID], [FirstName], [LastName] FROM [Demo].[Person] WHERE [PersonID] >= 100000 ORDER BY [LastName] COLLATE Hungarian_CI_AS ASC
SELECT [PersonID], [FirstName], [LastName] FROM [Demo].[Person] WHERE [PersonID] >= 100000 ORDER BY [LastName] COLLATE Hungarian_Technical_CI_AS ASC

--cleanup
DROP TABLE [Demo].[Person];
DROP SCHEMA [Demo];